FlexiThemes Community Forum

Error latest Wordpress update  

  RSS

Andreas
(@andreas)
Active Member
Joined: 5 years ago
Posts: 7
22/02/2019 3:30 am  

Hi, here my error report. Error since update today, all themes!

Fatal error: Call to a member function hook() on null in /www/htdocs/w00afaca/wp-content/themes/TechTrend/header.php on line 6

Please check! Thanks!


Quote
Flexi Themes
(@flexithemes)
Active Member
Joined: 5 months ago
Posts: 11
22/02/2019 3:40 am  

Hi Andreas,

We're working on this right away. Looks like it was yesterday's WordPress 5.1 release that broke it.

We'll notify you with a fix.


Andreas liked
ReplyQuote
Andreas
(@andreas)
Active Member
Joined: 5 years ago
Posts: 7
22/02/2019 4:54 am  

Thank you! 


ReplyQuote
Flexi Themes
(@flexithemes)
Active Member
Joined: 5 months ago
Posts: 11
22/02/2019 5:20 am  

We've confirmed that it's a backward compatibility break in WordPress 5.1. We're reporting it to the WordPress core team.

For now, please log into the admin and revert back to the latest 5.0 version using this plugin:
https://wordpress.org/plugins/wp-downgrade/

We're creating a new release of our theme, which will resolve the issue. ETA: less than 3 hours.


ReplyQuote
ncdwebdesign
(@ncdwebdesign)
New Member
Joined: 11 months ago
Posts: 3
22/02/2019 8:21 am  

Hi I've just done the updates for client site using the NORMA theme and it's crashed the site. Changing the theme the site works fine. the Themater  element doesn't function correctly and is missing vital elements when you go into the theme editor. 


ReplyQuote
ncdwebdesign
(@ncdwebdesign)
New Member
Joined: 11 months ago
Posts: 3
22/02/2019 8:26 am  

Same error file:
[22-Feb-2019 13:19:26 UTC] PHP Fatal error: Call to a member function hook() on null in /home2/lochinvarpetmote/public_html/wp-content/themes/Norma-child/header.php on line 8


ReplyQuote
Flexi Themes
(@flexithemes)
Active Member
Joined: 5 months ago
Posts: 11
22/02/2019 8:27 am  

This is a bug/incompatibility of $theme variable usage in our themes with the latest version of WordPress 5.1

 
We're working on updating all of our themes right now and will provide detailed upgrading instructions once we're ready.
 
Here is a quick fix if this is urgent for you:
 
1. Download your current theme to your PC.
2. Make a backup to a separate folder (just in case something goes wrong).
3. Use a bulk search and replace tool to find and replace: $theme with $flexitheme in your theme's files.
4. Once replaced, upload the modified theme to your online website
 
For example, you can use the Visual Studio Code editor to do it: https://code.visualstudio.com/
 
Also, please check the attached screenshot instructions on how to perform this action with Visual Studio Code
This post was modified 4 weeks ago by admin

ReplyQuote
ncdwebdesign
(@ncdwebdesign)
New Member
Joined: 11 months ago
Posts: 3
22/02/2019 8:45 am  

THank you for your prompt reply.  Worked a treat. Thanks heaps I was pulling my hair out.  Routine updates brought down the site.  Thanks again


ReplyQuote
Andreas
(@andreas)
Active Member
Joined: 5 years ago
Posts: 7
23/02/2019 4:28 am  

Don't why, but I receive Server 500 Error, doing this!


ReplyQuote
Flexi Themes
(@flexithemes)
Active Member
Joined: 5 months ago
Posts: 11
23/02/2019 4:32 am  

Hi Andreas,

We've created an even easier way to fix the issue, which we've outlined at https://flexithemes.com/wordpress-5-1-update

This post was modified 4 weeks ago by Flexi Themes

ReplyQuote
Andreas
(@andreas)
Active Member
Joined: 5 years ago
Posts: 7
23/02/2019 6:34 am  

Thank you, it looks like the update script is working! Fine!


ReplyQuote
Flexi Themes
(@flexithemes)
Active Member
Joined: 5 months ago
Posts: 11
23/02/2019 7:22 am  

Perfect! Glad to hear that


ReplyQuote
Share:
All our WordPress themes are compatible with the new Gutenberg editor or you can use the old one. Enjoy!  BUY NOW
  
Working

Please Login or Register